﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:conditions="Default.v2021X">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Configuring SOD Access</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Configuring SOD Access</h1>
        <p>The term SAV role signifies the roles defined by Saviynt that are automatically available in Saviynt Identity Governance and Administration (IGA). These roles define the privileges granted to users, such as accessibility and functional limit in the application.&#160;Each SAV role allows specific&#160;usage of the application and also puts in place certain restrictions. </p>
        <p>From release v2021.0 onwards, a new SAV Role, ROLE_SOD_AUDITOR, is pre-packaged within IGA. When a user is assigned this SAV role, the user has restricted access to the SOD functionality with rights to view the SOD details in the read-only mode. However, the user cannot perform any actions on these details.</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">The ROLE_SOD_AUDITOR SAV role is applicable only for the following pages: </p>
            <ul>
                <li>
                    <p class="note">SOD violations</p>
                </li>
                <li>
                    <p class="note">Mitigating Controls </p>
                </li>
                <li>
                    <p class="note">Ruleset - Ruleset, risks, functions, and Business Process </p>
                </li>
                <li>
                    <p class="note">Simulation</p>
                </li>
            </ul>
        </div>
        <p>You must grant the following access to the ROLE_SOD_AUDITOR SAV role via the Access tab to display the SOD workbench in read-only mode for users. The Access tab enables you to restrict users with particular SAV roles&#160;from accessing the restricted tabs, configurations, accounts, or settings within the application. You can provide users with fine-grained access control to menus and their lists according to their requirements.</p>
        <p>The following table describes the usage of these accesses:</p>
        <div class="table-wrap">
            <table style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" class="TableStyle-Default-Table" cellspacing="0">
                <col style="width: 345.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 413.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Access</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SUBMENU.SOD.soddetail_violationsReadOnly</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays the SOD Violations page in the read-only mode.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SUBMENU.SOD.soddetail_mcReadOnly&#160;</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays the Mitigating Controls page in the read-only mode.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SUBMENU.SOD.soddetail_simulationReadOnly</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays the Simulations page in the read-only mode.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">SUBMENU.SOD.soddetail_rulesetsReadOnly&#160;</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Displays the following pages in the read-only mode.</p>
                            <ul>
                                <li>
                                    <p class="table-text">Rulesets</p>
                                </li>
                                <li>
                                    <p class="table-text">Risks</p>
                                </li>
                                <li>
                                    <p class="table-text">Functions</p>
                                </li>
                                <li>
                                    <p class="table-text">Business Processes</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <ul>
                <li>
                    <p class="note">If a user is assigned only one of these accesses, the page for which that access belongs to is displayed in the read-only mode for the user. The user can still edit the other pages. For example, if a user is assigned the SUBMENU.SOD.soddetail_mcReadOnly access, only the Mitigating Controls page is displayed for the user in the read-only mode. The user can still update the SOD Violations, Simulations and Rulesets pages. </p>
                </li>
                <li>
                    <p class="note">If a user is assigned the <strong>ROLE_SOD_AUDITOR</strong> SAV role along with any other SAV role, then this role takes precedence over other SAV roles.</p>
                </li>
            </ul>
        </div>
        <p>While upgrading, ensure that the following requestmap entries are executed to display these accesses in the <strong>Access </strong>tab of the SAV Role page for the users.</p>
        <p><span class="attr">INSERT INTO requestmap (AUTHTYPE,CONFIGATTRIBUTE,DESCRIPTION,LANDINGPAGE,PARENTMENU,PARENTMENUORDER,URL,HTTPMETHOD) VALUES ('soddetail_violationsReadOnly','ROLE_SOD_AUDITOR','SOD',0,0,0,'/soddetail/violationsReadOnly',null);</span>
        </p>
        <p><span class="attr">INSERT INTO requestmap (AUTHTYPE,CONFIGATTRIBUTE,DESCRIPTION,LANDINGPAGE,PARENTMENU,PARENTMENUORDER,URL,HTTPMETHOD) VALUES ('soddetail_mcReadOnly','ROLE_SOD_AUDITOR','SOD',0,0,0,'/soddetail/mcReadOnly',null);</span>
            <br />
        </p>
        <p><span class="attr">INSERT INTO requestmap (AUTHTYPE,CONFIGATTRIBUTE,DESCRIPTION,LANDINGPAGE,PARENTMENU,PARENTMENUORDER,URL,HTTPMETHOD) VALUES ('soddetail_simulationReadOnly','ROLE_SOD_AUDITOR','SOD',0,0,0,'/soddetail/simulationReadOnly',null);</span>
        </p>
        <p><span class="attr">INSERT INTO requestmap (AUTHTYPE,CONFIGATTRIBUTE,DESCRIPTION,LANDINGPAGE,PARENTMENU,PARENTMENUORDER,URL,HTTPMETHOD) VALUES ('soddetail_rulesetsReadOnly','ROLE_SOD_AUDITOR','SOD',0,0,0,'/soddetail/rulesetsReadOnly',null);</span>
        </p>
        <h2 id="OverviewofROLE_SOD_AUDITOR-CreatingtheROLE_SOD_AUDITORSAVRole">Creating the ROLE_SOD_AUDITOR SAV Role</h2>
        <ol>
            <li>
                <p>Create a ROLE_SOD_AUDITOR role in the Create SAV Role <span class="inline-comment-marker">page.</span> For more information on how to create a SAV Role, see <MadCap:xref href="../Chapter09-Managing-SAV-Roles/Creating-and-Managing-Custom-SAV-Roles.htm">Creating and Managing Custom SAV Roles</MadCap:xref>.</p>
            </li>
            <li>
                <p>Specify the basic details for the role in the <strong>SAV Role Detail </strong>tab. For more information, see <MadCap:xref href="../Chapter09-Managing-SAV-Roles/Creating-and-Managing-Custom-SAV-Roles.htm">Creating and Managing Custom SAV Roles</MadCap:xref>. </p>
            </li>
        </ol>
        <p>  3. Associate users for whom you want to assign the new SAV role. For more information, see <MadCap:xref href="../Chapter09-Managing-SAV-Roles/Creating-SAV-Roles.htm#Users">Users Tab</MadCap:xref>.</p>
        <p>
            <img src="../Resources/Images/ROle_SOD_AUDITOR - users tab.png" style="width: 777px;height: 281px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <p>  4. Select the accesses that you want to assign to the new SAV role. </p>
        <p>  5. Select the tiles in the <strong>Create Request Home Option</strong> tab that you want to display in the home page of the ARS tab for the users assigned with this SAV role. For more information, see <MadCap:xref href="../Chapter09-Managing-SAV-Roles/Creating-SAV-Roles.htm">Create Request Home Option Tab</MadCap:xref>.</p>
        <p>
            <img src="../Resources/Images/ROle_SOD_AUDITOR - create request home.png" style="width: 792px;height: 524px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <p>  6. Associate the dashboards that you want to display for the users assigned with this SAV role. For more information, see <MadCap:xref href="../Chapter09-Managing-SAV-Roles/Creating-SAV-Roles.htm##Dashboar">Dashboards Tab.</MadCap:xref></p>
        <p>
            <img src="../Resources/Images/ROle_SOD_AUDITOR - dashboards.png" style="width: 814px;height: 334px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <p>  7. Associate analytics with this SAV role. For more information, see <MadCap:xref href="../Chapter09-Managing-SAV-Roles/Creating-SAV-Roles.htm#Analytic">Analytic Tab</MadCap:xref>.</p>
        <p>
            <img src="../Resources/Images/ROle_SOD_AUDITOR - analytics.png" style="width: 813px;height: 301px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <p>  8. Associate the Elastic search-based analytics with this SAV role. </p>
        <p>
            <img src="../Resources/Images/ROle_SOD_AUDITOR - v2 analytics.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 831px;height: 299px;" />
        </p>
        <p> 9. Associate the workflows for the users assigned with this SAV role. </p>
        <p>
            <img src="../Resources/Images/ROle_SOD_AUDITOR - workflow.png" style="width: 833px;height: 331px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
    </body>
</html>